Hello
When I make the 2d plan of an assembly I notice that the views are English (top view above)
On solid 2018 I can't find the option for the views to be in iso
Thank you
Hello
When I make the 2d plan of an assembly I notice that the views are English (top view above)
On solid 2018 I can't find the option for the views to be in iso
Thank you
Hello
US views you mean?
Right-click on the plan sheet > Properties > Projection type (check Europe or USA)
re
ok it works, but how to set to have it by default
It's better to have a file in US view than a file that runs in English.
NOoooon not banging the head.............. Too late is already far away
To have it by default, you have to modify the document template (DRWDOT) and the basemaps (SLDDRT)
For existing shots, a clickable macro can be useful but it will return the views
Personally I use this to reload the basemaps:
Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swDraw As SldWorks.DrawingDoc
Dim swSheet As SldWorks.Sheet
Dim vSheetProps As Variant
Dim nErrors As Long
Dim nWarnings As Long
Dim sFileName As String
Dim Path As String
Dim vSheetName As Variant
Dim i As Long
Dim Part As Variant
'***************************************
' Location des fonds de plans
Const sTemplatePath As String = "****A REMPLACER PAR LE DOSSIER CONTENANT LES FOND DE PLANS"
' Noms des templates
'Première page
Const sTemplateName As String = "***A REMPLACER PAR NOM DE FOND DE PLAN PREMIERE PAGE .SLDDRT"
Autres pages
Const sTemplateName2 As String = "***A REMPLACER PAR NOM DE FOND DE PLAN AUTRES PAGES .SLDDRT"
'***************************************
'vérification si plan ouvertt
On Error Resume Next
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
' Check to see if a drawing is loaded.
If swModel Is Nothing Then
MsgBox "Il faut ouvrir un plan avant de lancer la macro !"
Exit Sub
End If
If swModel.GetType <> swDocDRAWING Then
MsgBox "Il faut ouvrir un plan avant de lancer la macro !"
Exit Sub
End If
'***************************************
'*************************************** Hop, on se charge de la page 1
Set swDraw = swModel
vSheetName = swDraw.GetSheetNames
swDraw.ActivateSheet (vSheetName(i))
Set swSheet = swDraw.GetCurrentSheet
vSheetProps = swSheet.GetProperties
'Supression de la table "feuille x/x"
Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("", "ANNOTATIONTABLES", 0.361350915138288, 7.25042891639636E-02, 0, False, 0, Nothing, 0)
Part.EditDelete
'Chargement du nouveau fond de plan
swModel.SetupSheet5 swSheet.GetName, swDwgPapersUserDefined, swDwgTemplateCustom, vSheetProps(2), vSheetProps(3), True, sTemplatePath & sTemplateName, 0.4318, 0.2794, "Default", True
swDraw.ViewZoomtofit2
'Selection du calque "selon la norme"
Set Part = swApp.ActiveDoc
Set LayerMgr = Part.GetLayerManager
LayerMgr.SetCurrentLayer ("-Selon la norme-")
'*************************************** Puis toutes les autres pages
For i = 1 To UBound(vSheetName)
swDraw.ActivateSheet (vSheetName(i))
Set swSheet = swDraw.GetCurrentSheet
vSheetProps = swSheet.GetProperties
'Supression de la table "feuille x/x"
Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("", "ANNOTATIONTABLES", 0.361350915138288, 7.25042891639636E-02, 0, False, 0, Nothing, 0)
Part.EditDelete
'Chargement du nouveau fond de plan
swModel.SetupSheet5 swSheet.GetName, swDwgPapersUserDefined, swDwgTemplateCustom, vSheetProps(2), vSheetProps(3), True, sTemplatePath & sTemplateName2, 0.4318, 0.2794, "Default", True
swDraw.ViewZoomtofit2
'Selection du calque "selon la norme"
Set Part = swApp.ActiveDoc
Set LayerMgr = Part.GetLayerManager
LayerMgr.SetCurrentLayer ("-Selon la norme-")
'*************************************** Sauvegarde et fin
Next i
swDraw.ActivateSheet vSheetName(0)
swDraw.ForceRebuild3 False
swDraw.Save3 1, nErrors, nWarnings
Set swDraw = Nothing
End Sub
Indeed, the correct answer is the cumulation between @Vincent G and @ DELACOTE.
You have to open the drawing "template" by pressing "Open" and put the "Templates" extension and open the "Layout.drwdot" file to open the default template.
Then, you have to change the "Sheet Property" to "Europe" Projection Type and press Ok.
Save the template and close.
At the next shot, the Projection Type will be European by default.
There you go
This is how you set the model correctly because a lot of parameters have to be modified (Document Options/Properties): Views (including sections), dimensions, annotations, ...
You can create your own tab when opening new documents by creating your own templates (Part, Assembly and Drawing) in a personal folder (Put your name to the folder; this is the name of the tab).
Then point to this folder (Option / File Locations / Document Templates and press "Add" and go to the folder with your templates.
Hello
Ok I created a drawing 1 that I saved and then I set it to default.
Thank you for your help